1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice

7.5.3 Update Woes as well

Discussion in 'Plesk for Linux - 8.x and Older' started by DavidAlmond, May 10, 2005.

  1. DavidAlmond

    DavidAlmond Guest

    0
     
    Ok,

    Been using 7.5.2 happliy for a couple of months now and when the update came i thought great i will use the updater...mistake.

    Have i missed a step.

    Can anybody help, bit of a newbie so be gently.


    Used the updater and after the install i get the following error.

    Unable to connect to database: Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2) 0: /usr/local/psa/admin/auto_prepend/auth.php3:66 psaerror(string "Unable to connect to database: Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2)")


    So i decided to use the autoinstaller.

    I get the folowing error

    Preparing for packages installation...

    Installing packages
    Installing postgresql-7.4.7-3.FC2.1.i386.rpm
    Installing postgresql-server-7.4.7-3.FC2.1.i386.rpm
    packagemng: db_connect: failed to connect to database: Error: Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2)
    packagemng: db_connect: failed to connect to database: Error: Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2)
    packagemng: Unable to connect to the mysql database

    System error 2: No such file or directory
    packagemng: Unable to connect to the mysql database

    System error 2: No such file or directory
    error: %trigger(psa-7.5.2-fc2.build75050128.11) scriptlet failed, exit status 1
    Not all required packages were installed.

    What am i doing wrong.

    TIA

    Dave
     
  2. chatbiz

    chatbiz Guest

    0
     
    1. service mysqld start
    2. reinstall psa
     
  3. DavidAlmond

    DavidAlmond Guest

    0
     
    ok guys. Now fixed

    Looks like the updater must have stopped mysqld and not restarted it. DOPE!

    All working now. Might be less hasty using the updater in future.


    Regards


    Dave
     
Loading...